# Function trustHtmlAutoFilter

- trustHtmlAutoFilter($sce: ISCEService, ngeoStringToHtmlReplacements: ngeoStringToHtmlReplacements): ((arg0: any) => string)

- A filter to mark a value as trusted HTML, with the addition of automatically converting any string that matches the StringToHtmlReplacements list to HTML.

  Usage:

  If you use it, you don't require the "ngSanitize".

  ### Returns

  The filter function.

  ### Ng Inject

  ### Ngdoc

  filter

  ### Ngname

  ngeoTrustHtmlAuto

  #### Parameters

  - ##### $sce: ISCEService

    Angular sce service.

  - ##### ngeoStringToHtmlReplacements: ngeoStringToHtmlReplacements

    List of replacements for string to html.

  #### Returns ((arg0: any) => string)

  - - (arg0: any): string

    - #### Parameters

      - ##### arg0: any

      #### Returns string

  - Defined in src/misc/filters.js:428

Generated using TypeDoc